%define ver_major 2.4
%def_without static

Name: libgnomeprintui
Version: %ver_major.2
Release: alt1

Summary: GUI support for libgnomeprint
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/sources/%name/%ver_major/%name-%version.tar.bz2

%define libgnomeprint_ver 2.3.1
%define libgnomecanvas_ver 2.4.0
%define glade2_ver 2.0.1-alt2

PreReq: libgnomeprint2 >= %libgnomeprint_ver
PreReq: libgnomecanvas >= %libgnomecanvas_ver

BuildPreReq: libgnomeprint2-devel >= %libgnomeprint_ver
BuildPreReq: libgnomecanvas-devel >= %libgnomecanvas_ver
BuildPreReq: libglade2-devel >= %glade2_ver

# Automatically added by buildreq on Wed Aug 27 2003
BuildRequires: XFree86-libs docbook-dtds docbook-style-dsssl docbook-utils fontconfig-devel freetype2-devel gcc-c++ gcc-g77 glib2-devel gtk-doc libOpenSP libart_lgpl-devel libatk-devel libexpat-devel libglade2-devel libgnomecanvas-devel libgnomeprint2-devel libgtk+2-devel libpango-devel libstdc++-devel libxml2-devel openjade pkgconfig sgml-common zlib-devel

%description
The libgnomeprintui package contains GTK+ widgets related to printing.

%package devel
Summary: Libraries and headers for libgnomeprintui
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
The libgnomeprintui package contains GTK+ widgets related to printing.

You should install the libgnomeprintui-devel package if you would like
to compile applications that use the widgets in libgnomeprintui. You
do not need to install it if you just want to use precompiled
applications.

%package devel-static
Summary: Static libraries and objects
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
Static libraries and objects for the GNOME Printing User Interface.

%prep
%setup -q

%build
%configure --enable-gtk-doc
%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%endif

%find_lang %name-2.2

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name-2.2.lang
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc %_datadir/gtk-doc/html

%if_with static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Tue Dec 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.2-alt1
- 2.4.2
- do not package .la files.
- do not build devel-static subpackage by default.

* Fri Nov 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Fri Sep 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Wed Jun 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1.3-alt1
- 2.2.1.3

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1.2-alt1
- 2.2.1.2

* Mon Feb 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1.1-alt1
- 2.2.1.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Mon Jan 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.8-alt1
- 2.1.8

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.7-alt1
- 2.1.7

* Mon Dec 30 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Wed Dec 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Sun Dec 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Thu Dec 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.116.0-alt2
- rebuild with new pango, gtk+

* Mon Sep 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.116.0-alt1
- 1.116.0

* Mon Jun 17 2002 Igor Androsov <blake@altlinux.ru> 1.115.0-alt1
- Initial build for AltLinux
- (aris):
    + SMP-compatible build.
    + ldconfig in post{un}.
    + prereq, buildprereq lists added.
    + other small fixes and cleanups.

* Thu May 16 2002 Igor Androsov <blace@mail.ru> 1.114.0-blk0.1
- New version from CVS

* Sat May 11 2002 Igor Androsov <blace@mail.ru> 1.113.0-blk0.1
- New version from CVS

* Mon Feb 18 2002 Gregory Leblanc <gleblanc@linuxweasel.com> 1.110.0-1
- new version
- split package
- disabled binary stripping

